#import "../../Fragments/System.graphql"

#import "../../Fragments/Blocks/DynamicContent.graphql"
#import "../../Fragments/Blocks/Shortcuts.graphql"
#import "../../Fragments/Blocks/TextContent.graphql"

query GetAccountPage($locale: String!, $uid: String!) {
  account_page(locale: $locale, uid: $uid) {
    heading
    preamble
    title
    url
    content {
      __typename
      ...DynamicContent_AccountPage
      ...Shortcuts_AccountPage
      ...TextContent_AccountPage
    }
    system {
      ...System
      created_at
      updated_at
    }
  }
  trackingProps: account_page(locale: "en", uid: $uid) {
    url
  }
}

query GetAccountPageRefs($locale: String!, $uid: String!) {
  account_page(locale: $locale, uid: $uid) {
    content {
      __typename
      ...DynamicContent_AccountPageRefs
      ...Shortcuts_AccountPageRefs
    }
    system {
      ...System
    }
  }
}

query GetDaDeEnUrlsAccountPage($uid: String!) {
  de: account_page(locale: "de", uid: $uid) {
    url
  }
  en: account_page(locale: "en", uid: $uid) {
    url
  }
  da: account_page(locale: "da", uid: $uid) {
    url
  }
}

query GetFiNoSvUrlsAccountPage($uid: String!) {
  fi: account_page(locale: "fi", uid: $uid) {
    url
  }
  no: account_page(locale: "no", uid: $uid) {
    url
  }
  sv: account_page(locale: "sv", uid: $uid) {
    url
  }
}
